### Method

# Gio SimpleAction set_enabled

since: 2.28

#### Declaration

    void
    g_simple_action_set_enabled (
      GSimpleAction* simple,
      gboolean enabled
    )

#### Description

Sets the action as enabled or not.

An action must be enabled in order to be activated or in order to have its state changed from outside callers.

This should only be called by the implementor of the action. Users of the action should not attempt to modify its enabled flag.

Available since: 2.28

Sets property | `Gio.SimpleAction:enabled`

#### Parameters

`enabled`

  Type: `gboolean`

  Whether the action is enabled.